CVE-2001-0257
CVSS7.5
发布时间 :2001-06-02 00:00:00
修订时间 :2008-09-05 16:23:40
NMCOS    

[原文]Buffer overflow in Easycom/Safecom Print Server Web service, version 404.590 and earlier, allows remote attackers to execute arbitrary commands via (1) a long URL or (2) a long HTTP header field such as "Host:".


[CNNVD]Easycom/Safecom Print Server远程任意命令漏洞(CNNVD-200106-013)

        Easycom/Safecom Print Server Web service 404.590及其之前版本存在缓冲区溢出漏洞。远程攻击者借助(1)超长URL或者(2)超长HTTP头字段比如"Host:"执行任意命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0257
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0257
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200106-013
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/5988.php
(VENDOR_ADVISORY)  XF  easycom-safecom-url-bo
http://www.securityfocus.com/bid/2291
(VENDOR_ADVISORY)  BID  2291
http://archives.neohapsis.com/archives/bugtraq/2001-01/0375.html
(VENDOR_ADVISORY)  BUGTRAQ  20010123 def-2001-06: Easycom/Safecom 10/100 Multiple DoS

- 漏洞信息

Easycom/Safecom Print Server远程任意命令漏洞
高危 缓冲区溢出
2001-06-02 00:00:00 2005-10-20 00:00:00
远程※本地  
        Easycom/Safecom Print Server Web service 404.590及其之前版本存在缓冲区溢出漏洞。远程攻击者借助(1)超长URL或者(2)超长HTTP头字段比如"Host:"执行任意命令。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 漏洞信息

10893
Easycom/Safecom Print Server Web Service HTTP Request Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-01-23 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Easycom/Safecom Print Server Remote Arbitrary Command Vulnerability
Input Validation Error 2291
Yes Yes
2001-01-23 12:00:00 2009-07-11 04:46:00
Reported to bugtraq by <peter.grundl@defcom.com> on Tue, 23 Jan 2001.

- 受影响的程序版本

I-Data International Easycom/Safecom Print Server 1.0

- 漏洞讨论

Excess user-supplied input submitted as a URL to the print server's web service can create a buffer overflow condition, which has the potential to crash the server, creating a denial of service risk. As well, since the excess data is supplied by the user it could be crafted to remotely alter the program's flow of execution.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at &lt;vuldb@securityfocus.com&gt;.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站